<?php
/**
 * @since ningxia 1.0.0
 */

get_header();
?>
<?php $static = ningxia_get_theme_option( 'static' ); ?>
<div id="content">
	<div class="container">
		<div id="main">
			<div class="section archive">
				<?php if(have_posts()) : ?><?php while(have_posts()) : the_post();  ningxia_update_years(); ?>
				<article class="post">
					<h1 class="entry-title"><a href="<?php the_permalink(); ?>" title="<?php echo esc_attr( sprintf( __( 'Permalink to %s', 'ningxia' ), the_title_attribute( 'echo=0' ) ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h1>
					<div class="infometa author">
						<?php the_time( get_option( 'date_format' )); ?>
						<?php if ( $static != "on" ) : ?>
							<span class="seprator">/</span>
							<?php comments_popup_link(); ?>
						<?php endif; ?>
					</div>
					<div class="download">
						<a href="<?php echo wp_get_attachment_url( $post->ID ); ?>">
						<?php $filetype = wp_check_filetype( wp_get_attachment_url( $post->ID ) ); ?>
						<img src="<?php echo get_stylesheet_directory_uri(); ?>/icons/<?php echo $filetype['ext']; ?>.png" loading="lazy" width="64" height="64"/>
						<br><div class="textlink"><p><span><?php the_title(); ?></span></p></div>
						</a>
					</div>
					<?php $text_File = 'File'; $text_file = 'file'; ?>
					<?php include get_theme_file_path( '/includes/metadata.php' );?>
				</article>
				<?php endwhile;endif; ?>
				<div class="clear"></div>
				<?php comments_template(); ?>
			</div><!-- section entry -->
			<div class="page_navi">
				<?php ningxia_paging_nav(); ?>
			</div><!-- page navi -->
		</div><!-- main -->
		<div id="minisidebar" class="col minisidebar">
			<?php get_sidebar('left'); ?>
		</div>
	</div>
</div><!-- content -->
<div id="sidebar">
	<?php get_sidebar(); ?>
</div><!-- sidebar -->
<div class="clear"></div>
<?php	get_footer(); ?>